Ringbuffer.h File Reference

Ringbuffer. More...

`#include <stdint.h>`
Include dependency graph for Ringbuffer.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | Ringbuffer

## Macros

#define | SIZEELEMENTSRINGBUFFER 10U
#define | RINGBUFFER_OKAY 0
#define | RINGBUFFER_FULL -1
#define | RINGBUFFER_EMPTY -2
#define | RINGBUFFER_ERROR -3

## Typedefs

typedef struct Ringbuffer | sRingbuffer_t
typedef sRingbuffer_t * | psRingbuffer_t

## Functions

void | vRingbufferInit (psRingbuffer_t const _self)
| init Ringbuffer More...
int32_t | s32RingbufferSet (psRingbuffer_t const _self, int32_t const *const pcs32Data)
| Write data in ringbuffer. More...
int32_t | s32RingbufferGet (psRingbuffer_t const _self, int32_t *constpcs32Data)
| Read data in ringbuffer. More...

## Detailed Description

Ringbuffer.

Author
  Hendrik Schutter

Version
  V1.0

Date
  23.10.2020

This file contains the ring buffer data structure.

## Macro Definition Documentation

## RINGBUFFER_EMPTY

#define RINGBUFFER_EMPTY -2

## RINGBUFFER_ERROR

#define RINGBUFFER_ERROR -3

## RINGBUFFER_FULL

#define RINGBUFFER_FULL -1

## RINGBUFFER_OKAY

#define RINGBUFFER_OKAY 0

## SIZEELEMENTSRINGBUFFER

#define SIZEELEMENTSRINGBUFFER 10U

## Typedef Documentation

## psRingbuffer_t

typedef sRingbuffer_t* psRingbuffer_t

## sRingbuffer_t

typedef struct Ringbuffer sRingbuffer_t

## Function Documentation

## s32RingbufferGet()

int32_t s32RingbufferGet | ( | psRingbuffer_t const | _self,
|  | int32_t * | constpcs32Data
| ) |  |

Read data in ringbuffer.

Parameters

  void |

Returns
  int32_t state

Author
  hendrik schutter

Date
  23.10.2020

Here is the caller graph for this function:

## s32RingbufferSet()

int32_t s32RingbufferSet | ( | psRingbuffer_t const | _self,
|  | int32_t const *const | pcs32Data
| ) |  |

Write data in ringbuffer.

Parameters

  void |

Returns
  int32_t state

Author
  hendrik schutter

Date
  23.10.2020

Here is the caller graph for this function:

## vRingbufferInit()

void vRingbufferInit | ( | psRingbuffer_t const | _self | ) |

init Ringbuffer

Parameters

  void |

Returns
  void

Author
  hendrik schutter

Date
  23.10.2020

Here is the caller graph for this function: